ADA Depot Too - A Forum To Support Users of ADA Amplification Gear

ADA Preamps => Original MP-1 => MP-1 Patches => Topic started by: mjonesjr8 on December 24, 2014, 12:51:27 PM

Title: Help loading patches with Bome midi program
Post by: mjonesjr8 on December 24, 2014, 12:51:27 PM
It seems like it's working but, i never see the "loading" on the MP1 and it does not
change anything.

Opened MIDI OUT: USB Uno MIDI Interface
Loading C:\ADA MP1\EVH.syp...
C:\ADA MP1\EVH.syp was loaded succesfully (11 bytes).
Sending MIDI out data...
Sent 11 bytes
Title: Re: Help loading patches with Bome midi program
Post by: MarshallJMP on December 24, 2014, 02:05:26 PM
Maybe the memory protect on the MP-1 is on?You do have a V2.01 eprom? else it won't work

Another thing,if i'm not mistaken you can set the transmid speed lower,this helps sometimes.
Title: Re: Help loading patches with Bome midi program
Post by: mjonesjr8 on December 24, 2014, 06:37:02 PM
I do have the 2.01 and have turned off the memory protect. I will try lowering the speed.

Thanks
Title: Re: Help loading patches with Bome midi program
Post by: mjonesjr8 on December 24, 2014, 07:44:07 PM
Same results UGH... oh well Merry Christmas everyone. 
Title: Re: Help loading patches with Bome midi program
Post by: rnolan on December 25, 2014, 12:37:22 AM
Do you have the MP1 midi channel set to "ALL" just in case that's the issue ??
Hey thanks and very merry xmas to you also  :wave:
Title: Re: Help loading patches with Bome midi program
Post by: MarshallJMP on December 25, 2014, 07:48:10 AM
You say you have a .syp file but this should be a .syx file?
Title: Re: Help loading patches with Bome midi program
Post by: mjonesjr8 on December 25, 2014, 08:50:47 AM
All the presets I downloaded from here are *.syp?

Thanks
Title: Re: Help loading patches with Bome midi program
Post by: MarshallJMP on December 25, 2014, 01:12:14 PM
Mmm strange should be syx (=sysex=system exclusive)

Bome only works with syx and txt files.
Title: Re: Help loading patches with Bome midi program
Post by: mjonesjr8 on December 25, 2014, 04:13:08 PM
I don't know maybe if someone can give me kind of step by step of how to save one from the mp1 to the computer then how to load it back I can wrap my head around this. I've tried to follow the steps in the manual but, just can't seem to get this to work I can usually figure this stuff out.

Thanks
Title: Re: Help loading patches with Bome midi program
Post by: rnolan on December 25, 2014, 10:00:41 PM
Have a look here (http://adadepot.com/index.php?topic=396.0), the patches that Satch posted are .syp extension but you need the librarian file program he is using (seems the format is particular to that program) ("These files come from a great MIDI Controller Patch Editor and Librarian created by Kent Dalton"). He tried to post the program but the upload limit was smaller back then. I PMed him to ask if he could post the program you need to read/use the .syp files he posted. So I think we've found the problem  :thumb-up: , now just need Satch to post the solution LOL (unless some one else has a copy ??)
Title: Re: Help loading patches with Bome midi program
Post by: rnolan on December 25, 2014, 10:26:05 PM
If you download/save a patch(s) from your MP1 using Bome they will be .syx files.  Which you can then reload into MP1, it's just Satches .syp files that are an issue as it's a program specific format.
If you open the .syp files with a text editor (eg notepad) you may be able to see/read enough of the patch settings and program them manually ? Slow but may work. I'll give this a try later tonight. There may also be a conversion program available? (none popped up easily though). This page describes the extension type (http://www.file-extensions.org/syp-file-extension).
Title: Re: Help loading patches with Bome midi program
Post by: rnolan on December 26, 2014, 02:03:56 AM
Well opening them in notepad didn't work, just empty, so need a hex editor by the looks.
Title: Re: Help loading patches with Bome midi program
Post by: mjonesjr8 on December 26, 2014, 06:06:18 AM
Thank you rnolan very much for all your effort and help.  Is there a Bank + something I need to hit to load a patch back to the MP1?  should it go to what ever patch is currently displayed on the mp1 screen ?
Title: Re: Help loading patches with Bome midi program
Post by: rnolan on December 26, 2014, 06:29:33 AM
Here's a post (http://adadepot.com/index.php?topic=411.0) different library program but ideas the same.
It's been a long time since I played with this, and then I just dumped them out to have a backup (which I can't find  :facepalm: ). IIRC you can restore in bulk or individually, and should be able to store a  patch to a new location ?? (but this may be just in MP2 ??), and it was only MP1 ver 2.0 and 2.01 that you could ?? again I'm geasing but others will know  :thumb-up: Hopefully now you can get at the .syp files with the program I posted and the instructions in the manual will work. I just looked through my original MP1 manual (I had one of the first MP1s in Australia, it's now with MikeB), you couldn't even back the patches up back then LOL. But hey I was going from 2 sounds to 128  :whoohoo!:
Title: Re: Help loading patches with Bome midi program
Post by: MarshallJMP on December 26, 2014, 11:47:00 AM
Be carefull with 2.0 and 2.01 syx files,if i remember correctly they are not the same if if the preset is.

The mp-1 is always ready to recieve syx files.
Title: Re: Help loading patches with Bome midi program
Post by: rnolan on December 27, 2014, 12:09:37 AM
Do you mean a .syx file made with v2.0 is not compatible with 2.01 or (more likely I suspect) a v2.01 .syx dump isn't compatible with 2.0 (if so this may well be why Kent wrote his program to use the .syp extension so it works for both).
Title: Re: Help loading patches with Bome midi program
Post by: Satch on December 29, 2014, 04:47:27 AM
I will look for my instructions for the editors I used in the past and will post. I think I have them on hard copy and will need to scan them in. Stay tuned.
Title: Re: Help loading patches with Bome midi program
Post by: MarshallJMP on December 29, 2014, 03:14:31 PM
Do you mean a .syx file made with v2.0 is not compatible with 2.01 or (more likely I suspect) a v2.01 .syx dump isn't compatible with 2.0 (if so this may well be why Kent wrote his program to use the .syp extension so it works for both).

Well i'm not sure anymore but i tought so.
Title: Re: Help loading patches with Bome midi program
Post by: Satch on December 30, 2014, 07:14:18 AM
I created a discussion called Midi Editor and placed all my documentation and software in that discussion. Keep them out.